Page MenuHomePhabricator

Efl.Canvas.Group: implement Efl.Gfx.Filter
ClosedPublic

Authored by kimcinoo on Oct 16 2019, 11:34 PM.

Details

Summary

This patch makes Efl.Canvas.Group work for Efl.Gfx.Filter

Test Plan

[Sample Code]

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
kimcinoo created this revision.Oct 16 2019, 11:34 PM
kimcinoo requested review of this revision.Oct 16 2019, 11:34 PM
kimcinoo updated this revision to Diff 26199.Oct 16 2019, 11:38 PM

Implement what Efl.Canvas.Goup needs only

kimcinoo updated this revision to Diff 26200.Oct 16 2019, 11:49 PM

Remove unnecessary change

zmike requested changes to this revision.Oct 17 2019, 7:09 AM
zmike added a subscriber: zmike.
zmike added inline comments.
src/lib/evas/canvas/evas_object_smart.c
961

This function should use the unified API everywhere and not legacy + unified.

This revision now requires changes to proceed.Oct 17 2019, 7:09 AM
kimcinoo updated this revision to Diff 26221.Oct 17 2019, 8:09 PM

Use the unified API everywhere and not legacy + unified

kimcinoo marked an inline comment as done.Oct 17 2019, 8:10 PM
zmike added a comment.Oct 18 2019, 6:44 AM

This seems like a pretty reasonable patch, will wait on @cedric for a second review.

src/lib/evas/canvas/evas_object_smart.c
961

I think also you should probably be setting all the properties here inside the constructor for performance? cc @cedric

Hermet requested changes to this revision.Oct 31 2019, 3:50 PM

Some comments

src/lib/evas/canvas/evas_object_smart.c
955

Don't we reuse the filter object here?

973

Question: How to sync stacking/visibility changes after this construction?

This revision now requires changes to proceed.Oct 31 2019, 3:50 PM
kimcinoo updated this revision to Diff 26812.Nov 11 2019, 4:41 PM
kimcinoo marked 3 inline comments as done.

Following comments

kimcinoo added inline comments.Nov 11 2019, 4:41 PM
src/lib/evas/canvas/evas_object_smart.c
973

I need a hint how to sync stacking.

kimcinoo updated this revision to Diff 28042.Jan 9 2020, 2:39 AM

Draw proxy(filtered image) after drawing its source.

kimcinoo planned changes to this revision.Jan 9 2020, 2:42 AM

I'm not sure about this change. I'd like to change this.

kimcinoo updated this revision to Diff 28182.Jan 15 2020, 3:18 AM

set proxy object as a member of Efl.Canvas.Group

kimcinoo updated this revision to Diff 28183.Jan 15 2020, 3:21 AM

enrich comment on evas_render.c

kimcinoo updated this revision to Diff 28184.Jan 15 2020, 3:24 AM

update comment based on review comment

Hermet requested changes to this revision.Jan 20 2020, 9:38 PM

Please check a comment

src/lib/evas/canvas/evas_render.c
2178

How about do something like this?
if (obj2->is_filter_object) continue;

This revision now requires changes to proceed.Jan 20 2020, 9:38 PM
kimcinoo updated this revision to Diff 28312.Jan 21 2020, 12:37 AM

Using (Evas_Object_Protected_Data *)->is_filter_object

kimcinoo marked an inline comment as done.Jan 21 2020, 12:39 AM
Hermet accepted this revision.Jan 21 2020, 2:22 AM
This revision was not accepted when it landed; it landed in state Needs Review.Jan 21 2020, 2:29 AM
This revision was automatically updated to reflect the committed changes.
kimcinoo edited the test plan for this revision. (Show Details)Jan 21 2020, 2:35 AM